<?php

namespace app\models;
use DB;
// https://meekro.com/docs/retrieving-data.html
class CommonModel{
    
    public static function get_client_store_list($client_id){
        $client_where=(!empty($client_id))?'AND WB_Warehouse_ClientID ='.$client_id:'';
        $query = 'SELECT 
        a.WB_Warehouse_POST_ID as "config_primary_id", 
        a.WB_Warehouse_ECommApi_GetID,
        a.WB_Warehouse_Partner_Client_GatwayID,
        b.WB_Warehouse_ECommApi_CustomerName,
        c.WB_Warehouse_Shop_Name,
        b.* 
        FROM wb_warehouse_customer_configure a 
        LEFT JOIN wb_warehouse_ecommerceapisettings_customers b ON (a.WB_Warehouse_ClientID=b.WB_Warehouse_Client_ID AND b.WB_Warehouse_ECommApi_ID=a.WB_Warehouse_ECommApi_ID) 
        LEFT JOIN wb_warehouse_shops c ON c.WB_Warehouse_Shop_ID=b.WB_Warehouse_Shop_ID
        WHERE  b.WB_Warehouse_status in (0,1) '.$client_where.'
        ORDER BY b.WB_Warehouse_Shop_ID,b.WB_Warehouse_ECommApi_CustomerName ,b.WB_Warehouse_ECommApi_ID DESC';

        $result= DB::query($query);
        if(!empty($result)){
            foreach ($result as $key => $value) {
                $result[$key]['md5_config_id']=md5($value['WB_Warehouse_Customer_Config_ID']);
            }
        }
        return $result;
    }

    public static  function update_user_activity($insert_data){
        DB::insert('wb_monitor_user_activity', $insert_data);
    } 
}

