
$(window).on('load', function() {
    feather_load();
    
}) 

function feather_load() {
    if (feather) {
        feather.replace({
            width: 14,
            height: 14
        });
    }
}

function formatXml(xml, colorize, indent) {
    // https://stackoverflow.com/questions/1187451/how-to-print-pretty-xml-in-javascript
    function esc(s) {
        return s.replace(/[-\/&<> ]/g, function(c) { // Escape special chars
            return c == ' ' ? '&nbsp;' : '&#' + c.charCodeAt(0) + ';';
        });
    }
    var sm = '<div class="xmt">',
        se = '<div class="xel">',
        sd = '<div class="xdt">',
        sa = '<div class="xat">',
        tb = '<div class="xtb">',
        tc = '<div class="xtc">',
        ind = indent || '  ',
        sz = '</div>',
        tz = '</div>',
        re = '',
        is = '',
        ib, ob, at, i;
    if (!colorize) sm = se = sd = sa = sz = '';
    xml.match(/(?<=<).*(?=>)|$/s)[0].split(/>\s*</).forEach(function(nd) {
        ob = ('<' + nd + '>').match(/^(<[!?\/]?)(.*?)([?\/]?>)$/s); // Split outer brackets
        ib = ob[2].match(/^(.*?)>(.*)<\/(.*)$/s) || ['', ob[2], '']; // Split inner brackets 
        at = ib[1].match(/^--.*--$|=|('|").*?\1|[^\t\n\f \/>"'=]+/g) || ['']; // Split attributes
        if (ob[1] == '</') is = is.substring(ind.length); // Decrease indent
        re += tb + tc + esc(is) + tz + tc + sm + esc(ob[1]) + sz + se + esc(at[0]) + sz;
        for (i = 1; i < at.length; i++) re += (at[i] == "=" ? sm + "=" + sz + sd + esc(at[++i]) : sa + ' ' + at[i]) + sz;
        re += ib[2] ? sm + esc('>') + sz + sd + esc(ib[2]) + sz + sm + esc('</') + sz + se + ib[3] + sz : '';
        re += sm + esc(ob[3]) + sz + tz + tz;
        if (ob[1] + ob[3] + ib[2] == '<>') is += ind; // Increase indent
    });
    return re;
}

function user_activity_update_fun(name,api_id,client_id,desc=''){
    $.ajax({
        url: admin_url+'ajax_control',
        method: 'post',
        data: {
            "name": name,
            "api_id": api_id,
            "client_id": client_id,
            "desc": desc,
            "page_url":window.location.href,
            "request": 'update_user_activity',
        },
        dataType: "json",
        success: function(info) {
          console.log(info)
        },
        error: function(jqXHR, exception) {
            if (jqXHR.status == 408) {
                location.href = site_url+login;
            }
        }
    }); //ajax
} 