<link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/vendors/css/forms/select/select2.min.css">
<!-- BEGIN: Content-->
<div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper container-xxl p-0">
            <div class="content-header row">
                <div class="content-header-left col-md-9 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <div class="col-12">
                            <h2 class="content-header-title float-start mb-0">Customer API List</h2>
                            <div class="breadcrumb-wrapper">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="<?=admin_url?>">Home</a></li>
                                    
                                    <li class="breadcrumb-item active">Customer API List</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="content-body">
                
                <section id="client-list-section">
                    <div class="row match-height">
                        <div class="card card-statistics">
                            <div class="col-6 mx-auto">
                                <div class="mb-1">
                                    <label class="form-label" for="client_list">Client List</label>
                                    <select class="select2 form-select" id="client_list" onchange="handleClientIdChange(this)">
                                        <option value="">--Select Client--</option>
                                        <?php
                                            if(!empty($client_list)){
                                                foreach ($client_list as $key => $value) {
                                                    $sel='';
                                                    if($page_client_id==$value['companyId']){
                                                        $sel='selected="selected"';
                                                    }
                                                    echo '<option '.$sel.' value="' . $value['companyId'] . '">' . $value['organization'] . '- ' . $value['companyId'] . '</option>';
                                                }
                                            }
                                        ?>
                                        
                                    </select> 
                                </div>
                            </div>
                            <!-- col -->
                            <div class="col-12">
                                <div class="card card-statistics">
                                    <div class="card-header">
                                        <h4 class="card-title">Store List</h4>
                                        <div class="d-flex align-items-center">
                                            <button type="button" class="btn btn-warning">
                                                <i data-feather="plus" class="me-25"></i>
                                                <span>New</span>
                                            </button>
                                        </div>
                                    </div>
                                    <div class="card-body statistics-body">
                                        <div class="table-responsive">
                                            <table class="table">
                                                <thead>
                                                    <tr>
                                                        <th>the-atlas-society.myshopify.com</th>
                                                    </tr>
                                                </thead> 
                                                <tbody>
                                                    <tr>
                                                       

                                                        <td>
                                                            
                                                            <div class="row">
                                                                <div class="col">
                                                                    <ul class="list-group">
                                                                    <li class="list-group-item d-flex align-items-center active">
                                                                    </li>
                                                                        <li class="list-group-item d-flex align-items-center  pt-5">
                                                                            <img src="https://zonefunnel-dev.com/TotalTesting/authorize/Shopify.jpg" class="me-75" width="100%" alt="Angular" />
                                                                        </li>
                                                                    </ul>
                                                                </div>
                                                                <div class="col">
                                                                    <ul class="list-group">
                                                                        <li class="list-group-item d-flex align-items-center active">
                                                                            <span class="fs-5"> Id'd Details</span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center ">
                                                                            <i class="me-1" data-feather="info" class="font-medium-2"></i>
                                                                            <span> Gateway ID</span>
                                                                            <span class="badge bg-primary rounded-pill ms-auto">4</span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center">
                                                                            <i class="me-1" data-feather="info" class="font-medium-2"></i>
                                                                            <span> API ID</span>
                                                                            <span class="badge bg-primary rounded-pill ms-auto">2</span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center">
                                                                            <i class="me-1" data-feather="info" class="font-medium-2"></i>
                                                                            <span> Ship ID</span>
                                                                            <span class="badge bg-primary rounded-pill ms-auto">1</span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center">
                                                                            <i class="me-1" data-feather="info" class="font-medium-2"></i>
                                                                            <span> Location ID</span>
                                                                            <span class="badge bg-primary rounded-pill ms-auto">1</span>
                                                                        </li>
                                                                    </ul>
                                                                </div>
                                                                <div class="col">
                                                                    <ul class="list-group">
                                                                        <li class="list-group-item d-flex align-items-center active">
                                                                            <span class="fs-5"> Pages</span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center ">
                                                                            <i class="me-1" data-feather="info" class="font-medium-2"></i>
                                                                            <span> <a href="javascript:void(0)">API Collection Page </a></span>
                                                                            
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center">
                                                                            <i class="me-1" data-feather="info" class="font-medium-2"></i>
                                                                            <span> <a href="javascript:void(0)">Shipping Method Page </a></span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center">
                                                                            <i class="me-1" data-feather="info" class="font-medium-2"></i>
                                                                            <span> <a href="javascript:void(0)">SMTP Page </a></span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center">
                                                                            <i class="me-1" data-feather="info" class="font-medium-2"></i>
                                                                            <span> <a href="javascript:void(0)">Testing Page </a></span>
                                                                        </li>
                                                                    </ul>
                                                                </div>
                                                                <div class="col">
                                                                    <ul class="list-group">
                                                                        <li class="list-group-item d-flex align-items-center active">
                                                                            <span class="fs-5"> Log Page</span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center ">
                                                                            <i class="me-1" data-feather="info" class="font-medium-2"></i>
                                                                            <span> <a href="javascript:void(0)">Order Log </a></span>
                                                                            
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center">
                                                                            <i class="me-1" data-feather="info" class="font-medium-2"></i>
                                                                            <span> <a href="javascript:void(0)">Shipping Log </a></span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center">
                                                                            <i class="me-1" data-feather="info" class="font-medium-2"></i>
                                                                            <span> <a href="javascript:void(0)">Email Log </a></span>
                                                                        </li>
                                                                    </ul>
                                                                </div>
                                                                
                                                            </div>
                                                            <div class="row mt-2">
                                                              
                                                                <div class="col">
                                                                    <ul class="list-group">
                                                                        <li class="list-group-item d-flex align-items-center active">
                                                                            <span class="fs-5"> Test Order</span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center">
                                                                            <i class="me-1" data-feather="info" class="font-medium-2"></i>
                                                                            <span> <a href="javascript:void(0)">Get Order </a></span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center">
                                                                            <i class="me-1" data-feather="info" class="font-medium-2"></i>
                                                                            <span> <a href="javascript:void(0)">Get Shipping </a></span>
                                                                        </li>
                                                                    </ul>
                                                                </div>
                                                                <div class="col">
                                                                    <ul class="list-group">
                                                                        <li class="list-group-item d-flex align-items-center active">
                                                                            <span class="fs-5"> Activate Cron</span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center ">
                                                                            <li class="list-group-item d-flex align-items-center ">
                                                                                <div class="form-check">
                                                                                     <input class="form-check-input" type="checkbox" value="" id="flexCheckChecked" checked>
                                                                                    <label class="form-check-label" for="flexCheckChecked">
                                                                                    <a href="javascript:void(0)">Download</a> 
                                                                                    </label>
                                                                                </div>
                                                                            </li>

                                                                            <li class="list-group-item d-flex align-items-center ">
                                                                                <div class="form-check">
                                                                                    <input class="form-check-input" type="checkbox" value="" id="flexCheckChecked" checked>
                                                                                    <label class="form-check-label" for="flexCheckChecked">
                                                                                    <a href="javascript:void(0)">Post</a> 
                                                                                    </label>
                                                                                </div>
                                                                            </li>

                                                                            <li class="list-group-item d-flex align-items-center ">
                                                                                <div class="form-check">
                                                                                    <input class="form-check-input" type="checkbox" value="" id="flexCheckChecked" checked>
                                                                                    <label class="form-check-label" for="flexCheckChecked">
                                                                                    <a href="javascript:void(0)">Update</a> 
                                                                                    </label>
                                                                                </div>
                                                                            </li>
                                                                        </li>
                                                                        
                                                                    </ul>
                                                                </div>
                                                                <div class="col">
                                                                    <ul class="list-group">
                                                                        <li class="list-group-item d-flex align-items-center active">
                                                                            <span class="fs-5">Timing</span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center ">
                                                                            <span> Last Cron Run Time</span>
                                                                            <span class="badge bg-primary rounded-pill ms-auto">20222-03-02 12:00 AM</span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center">
                                                                            <span> Last Order Time</span>
                                                                            <span class="badge bg-primary rounded-pill ms-auto">20222-03-02 12:00 AM</span>
                                                                        </li>
                                                                        <li class="list-group-item d-flex align-items-center">
                                                                            <span> Last Ship Time</span>
                                                                            <span class="badge bg-primary rounded-pill ms-auto">20222-03-02 12:00 AM</span>
                                                                        </li>
                                                                    </ul>
                                                                </div>
                                                                
                                                            </div>
                                                            
                                                        </td>

                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>

                                </div>
                            </div>
                            
                                <!-- col -->
                        </div>

                    </div>
                    
                </section>
            </div>
        </div>
    </div>
    <!-- END: Content-->

    <div class="sidenav-overlay"></div>
    <div class="drag-target"></div>

   


    <!-- BEGIN: Vendor JS-->
    <script src="<?=asset_url?>app-assets/vendors/js/vendors.min.js"></script>
    <!-- BEGIN Vendor JS-->

    <!-- BEGIN: Page Vendor JS-->
    <script src="<?=asset_url?>app-assets/vendors/js/ui/jquery.sticky.js"></script>
    <script src="<?=asset_url?>app-assets/vendors/js/tables/datatable/jquery.dataTables.min.js"></script>
    <script src="<?=asset_url?>app-assets/vendors/js/tables/datatable/dataTables.bootstrap5.min.js"></script>
    <script src="<?=asset_url?>app-assets/vendors/js/tables/datatable/dataTables.responsive.min.js"></script>
    <script src="<?=asset_url?>app-assets/vendors/js/tables/datatable/responsive.bootstrap4.js"></script>
    <script src="<?=asset_url?>app-assets/vendors/js/pickers/flatpickr/flatpickr.min.js"></script>
    <!-- END: Page Vendor JS-->

    <!-- BEGIN: Theme JS-->
    <script src="<?=asset_url?>app-assets/js/core/app-menu.js"></script>
    <script src="<?=asset_url?>app-assets/js/core/app.js"></script>
    <!-- END: Theme JS-->

    <!-- BEGIN: Page JS-->
    <script src="<?=asset_url?>app-assets/js/scripts/tables/table-datatables-advanced.js"></script>
    <!-- END: Page JS-->
    <script src="<?=asset_url?>app-assets/vendors/js/forms/select/select2.full.min.js"></script>
    <script>
        $(window).on('load', function() {
            if (feather) {
                feather.replace({
                    width: 14,
                    height: 14
                });
            }
        })
    </script>

    <script>
        (function (window, document, $) {
        'use strict';
            var select = $('.select2');

            select.each(function () {
                var $this = $(this);
                $this.wrap('<div class="position-relative"></div>');
                $this.select2({
                // the following code is used to disable x-scrollbar when click in select input and
                // take 100% width in responsive also
                dropdownAutoWidth: true,
                width: '100%',
                dropdownParent: $this.parent()
                });
            });

        })(window, document, jQuery);
    </script>

    <script>
        function handleClientIdChange(e){
            var client_id=e.value;

            if(client_id.length!=0){
                $.ajax({
                    url:'<?=site_url?>ajax_control', 
                    method:'get',     
                    data:{client_id:client_id},   
                    dataType:"json", 
                    beforeSend:function(){$('#loader').show();},
                    success:function(info){ 
                        console.log(info);  
                    },//success
                    complete: function (data){$('#loader').hide();},
                    error: function (jqXHR, exception) {
                        if(jqXHR.status==408){
                            location.href="<?=site_url?>login";
                        }
                    }
                });//ajax 
            } 
        }


    </script>