<!DOCTYPE html>
<html class="loading" lang="en" data-textdirection="ltr">
<!-- BEGIN: Head-->

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=0,minimal-ui">
    <meta name="description" content="Vuexy admin is super flexible, powerful, clean &amp; modern responsive bootstrap 4 admin template with unlimited possibilities.">
    <meta name="keywords" content="admin template, Vuexy admin template, dashboard template, flat admin template, responsive admin template, web app">
    <meta name="author" content="PIXINVENT">
    <title><?=$title??'ZoneFunnel'?></title>
    <script>
        var ASSET_PATH= '<?=asset_url?>';
    </script>
    <link rel="apple-touch-icon" href="<?=asset_url?>app-assets/images/ico/apple-icon-120.png">
    <link rel="shortcut icon" type="image/x-icon" href="<?=asset_url?>app-assets/images/ico/favicon.ico">
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;1,400;1,500;1,600" rel="stylesheet">

    <!-- BEGIN: Vendor CSS-->
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/vendors/css/vendors.min.css">
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/vendors/css/tables/datatable/dataTables.bootstrap5.min.css">
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/vendors/css/tables/datatable/responsive.bootstrap4.min.css">
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/vendors/css/pickers/flatpickr/flatpickr.min.css">
    <!-- END: Vendor CSS-->

    <!-- BEGIN: Theme CSS-->
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/css/bootstrap.css">
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/css/bootstrap-extended.css">
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/css/colors.css">
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/css/components.css">
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/css/themes/dark-layout.css">
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/css/themes/bordered-layout.css">
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/css/themes/semi-dark-layout.css">

    <!-- BEGIN: Page CSS-->
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/css/core/menu/menu-types/horizontal-menu.css">
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>app-assets/css/plugins/forms/pickers/form-flat-pickr.css">
    <!-- END: Page CSS-->

    <!-- BEGIN: Custom CSS-->
    <link rel="stylesheet" type="text/css" href="<?=asset_url?>assets/css/style.css">
    <!-- END: Custom CSS-->
    <script>
        const isRtl = $('html').attr('data-textdirection') === 'rtl';
        const user_role = '<?= $_SESSION["user"]["user_role"] ?>';
        const site_url = '<?= site_url ?>';
        const admin_url = '<?= admin_url ?>';
        const asset_url = '<?= asset_url ?>';
        const user = <?= json_encode($_SESSION['user']) ?>;
    </script>
</head>
<!-- END: Head-->

<!-- BEGIN: Body-->

<body class="horizontal-layout horizontal-menu  navbar-floating footer-static  " data-open="hover" data-menu="horizontal-menu" data-col="">

    <!-- BEGIN: Header-->
    <nav class="header-navbar navbar-expand-lg navbar navbar-fixed align-items-center navbar-shadow navbar-brand-center" data-nav="brand-center">
        <div class="navbar-header d-xl-block d-none">
            <ul class="nav navbar-nav">
                <li class="nav-item">
                    <a class="navbar-brand" href="<?=asset_url?>admin/dashboard"> 
                        <span class="brand-logo">
                            <img src="<?=asset_url?>img/logo.jpg" style="min-width: 166px;" >
                        </span>
                    </a>
                </li>
            </ul>
        </div>
        <div class="navbar-container d-flex content">
            
            <ul class="nav navbar-nav align-items-center ms-auto">
                
                <li class="nav-item d-none d-lg-block"><a class="nav-link nav-link-style"><i class="ficon" data-feather="moon"></i></a></li>
                
                
                
                <li class="nav-item dropdown dropdown-user">
                    <a class="nav-link dropdown-toggle dropdown-user-link" id="dropdown-user" href="#" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <div class="user-nav d-sm-flex d-none">
                            <span class="user-name fw-bolder"><?=$_SESSION['user']['user_name']?></span>
                            <span class="user-status"><?=$_SESSION['user']['user_role']?></span>
                        </div>
                        <span class="avatar">
                            <img class="round" src="<?=asset_url?>app-assets//images/portrait/small/avatar-s-11.jpg" alt="avatar" height="40" width="40">
                            <span class="avatar-status-online"></span>
                        </span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-user">
                        <a class="dropdown-item" href="javascript:void(0)"><i class="me-50" data-feather="user"></i> Profile</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="<?=site_url?>login/logout"><i class="me-50" data-feather="power"></i> Logout</a>
                    </div>
                </li>
            </ul>
        </div>
    </nav>
    
    <!-- END: Header-->


    <!-- BEGIN: Main Menu-->
    <div class="horizontal-menu-wrapper">
        <div class="header-navbar navbar-expand-sm navbar navbar-horizontal floating-nav navbar-light navbar-shadow menu-border container-xxl" role="navigation" data-menu="menu-wrapper" data-menu-type="floating-nav">
            <div class="navbar-header">
                <ul class="nav navbar-nav flex-row">
                    <li class="nav-item me-auto">
                        <a class="navbar-brand" href="<?=asset_url?>">
                            <span class="brand-logo">
                                <img src="<?=asset_url?>img/logo.jpg" style="min-width: 166px;" >
                            </span>
                        </a>
                    </li>
                    <li class="nav-item nav-toggle"><a class="nav-link modern-nav-toggle pe-0" data-bs-toggle="collapse"><i class="d-block d-xl-none text-primary toggle-icon font-medium-4" data-feather="x"></i></a></li>
                </ul>
            </div>
            <div class="shadow-bottom"></div>
            <!-- Horizontal menu content-->
            <div class="navbar-container main-menu-content" data-menu="menu-container">
                <!-- include <?=asset_url?>includes/mixins-->
                <ul class="nav navbar-nav" id="main-menu-navigation" data-menu="menu-navigation">
                    <li class="dropdown nav-item" data-menu="dropdown">
                        <a class=" nav-link d-flex align-items-center" href="<?=admin_url?>dashboard" >
                            <i data-feather="home"></i><span data-i18n="Dashboards">Dashboards</span>
                        </a>
                        
                    </li>
                    <li class="dropdown nav-item" data-menu="dropdown">
                        <a class="dropdown-toggle nav-link d-flex align-items-center" href="javascript:void(0)" data-bs-toggle="dropdown">
                            <i data-feather="package"></i>
                            <span data-i18n="Pages">Pages</span>
                        </a>
                        <ul class="dropdown-menu">
                            <li data-menu="">
                                <a target="_blank" class="dropdown-item d-flex align-items-center" href="<?=admin_url?>shop_list" data-bs-toggle="" data-i18n="Shop List">
                                    <i data-feather="shopping-bag"></i><span data-i18n="Shop List">Shop List</span>
                                </a>
                            </li>
                            <li data-menu="">
                                <a target="_blank" class="dropdown-item d-flex align-items-center" href="<?=admin_url?>shop_list" data-bs-toggle="" data-i18n="Shipping Method List List">
                                    <i data-feather="shopping-cart"></i><span data-i18n="Shipping Method List List">Shipping Method List</span>
                                </a>
                            </li>
                            
                            <li data-menu="">
                                <a target="_blank" class="dropdown-item d-flex align-items-center" href="https://integration.acutrack.com/authorize/smtp/" data-bs-toggle="" data-i18n="SMTP">
                                    <i data-feather="mail"></i><span data-i18n="SMTP">SMTP</span>
                                </a>
                            </li>
                            <li data-menu="">
                                <a target="_blank" class="dropdown-item d-flex align-items-center" href="<?=admin_url?>auto_testing" data-bs-toggle="" data-i18n="Auto Testing">
                                    <i data-feather="navigation"></i><span data-i18n="Auto Testing">Auto Testing</span> 
                                </a>
                            </li>
                            <li data-menu="">
                                <a target="_blank" class="dropdown-item d-flex align-items-center" href="<?=admin_url?>logs" data-bs-toggle="" data-i18n="Logs">
                                    <i data-feather="file"></i><span data-i18n="Logs">Logs</span> 
                                </a>
                            </li>
                            
                        </ul>
                    </li>

                    <li class="dropdown nav-item" data-menu="dropdown">
                        <a class="dropdown-toggle nav-link d-flex align-items-center" href="javascript:void(0)" data-bs-toggle="dropdown">
                            <i data-feather="folder"></i>
                            <span data-i18n="Pages">Documentation</span>
                        </a>
                        <ul class="dropdown-menu">
                            <li data-menu="">
                                <a target="_blank" class="dropdown-item d-flex align-items-center" href="https://support.acutrack.com/hc/en-us/sections/360003577074-Ecommerce-Integration" data-bs-toggle="" data-i18n="Ecommerce Documentation">
                                    <i data-feather="circle"></i><span data-i18n="Ecommerce Documentation">Ecommerce Documentation </span>
                                </a>
                                <a target="_blank" class="dropdown-item d-flex align-items-center" href="<?=admin_url?>shipping_docs" data-bs-toggle="" data-i18n="Shipping Documentation">
                                    <i data-feather="circle"></i><span data-i18n="Shipping Documentation">Shipping Documentation </span>
                                </a>
                            </li>
                        </ul>
                    </li>
                   
                </ul>
            </div>
        </div>
    </div>
    <!-- END: Main Menu-->

    
